import request from "@/utils/request";

// 岗位任务
export const getUserTaskList = (query: Record<string, any>) => {
  return request<RespondPageType>({
    url: "/system/user/task/list",
    method: "get",
    params: query,
  });
};

//岗位任务删除
export const deleteUserTask = (data: number | number[]) => {
  return request<RespondPageType>({
    url: "/system/user/task/" + data,
    method: "delete",
  });
};

//冻结岗位工资列表
export const getBlockTaskList = (query: Record<string, any>) => {
  return request<RespondPageType>({
    url: "/system/user/task/block_list",
    method: "get",
    params: query,
  });
};

//岗位工资批量解冻
export const batchThawPostWage = (data: number | number[]) => {
  return request<RespondPageType>({
    url: "/system/user/task/batchThawPostWage/" + data,
    method: "get",
  });
};
